export const VizContainer = ({
  showMargins = false,
  width,
  height,
  margin,
  innerWidth,
  innerHeight,
  children,
}) => {
  const outerRect = (
    <rect width={width} height={height} fill="#bbb" />
  );

  const innerRect = (
    <rect
      width={innerWidth}
      height={innerHeight}
      fill="#eee"
    />
  );

  return (
    <svg width={width} height={height}>
      {showMargins ? outerRect : null}
      <g
        transform={`translate(${margin.left}, ${margin.top})`}
      >
        {showMargins ? innerRect : null}
        {children}
      </g>
    </svg>
  );
};
