import React from 'react';
import ReactDOM from 'react-dom';
import { format } from 'd3';

import { VizContainer } from './VizContainer';
import { useData } from './useData';
import { LineChart } from './LineChart';

const width = window.innerWidth;
const height = window.innerHeight;
const margin = { top: 50, right: 30, bottom: 80, left: 80 };
const innerWidth = width - margin.right - margin.left;
const innerHeight = height - margin.top - margin.bottom;

const App = () => {
  const data = useData();

  return (
    <VizContainer
      showMargins={false} // delete this
      width={width}
      height={height}
      margin={margin}
      innerWidth={innerWidth}
      innerHeight={innerHeight}
    >
      {data ? (
        <LineChart
          data={data}
          width={innerWidth}
          height={innerHeight}
        />
      ) : (
        <div>Loading...</div>
      )}
    </VizContainer>
  );
};

ReactDOM.render(<App />, document.getElementById('root'));
