import { useEffect, useState } from 'react';
import { csv, timeParse } from 'd3';

const csvUrl =
  'https://raw.githubusercontent.com/CSSEGISandData/COVID-19/master/csse_covid_19_data/csse_covid_19_time_series/time_series_covid19_deaths_global.csv';

const transform = (rawData) => {
  const dates = rawData.columns.slice(4);
  return dates.map((date) => ({
    date: timeParse('%m/%d/%y')(date),
    deathTotal: rawData
      .map((d) => +d[date])
      .reduce((a, b) => a + b),
  }));
};

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl).then((rawData) => {
      setData(transform(rawData));
    });
  }, []);

  return data;
};
